summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/init.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-26 03:12:43 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-26 03:12:43 +0300
commit8486afa9e52f96361cbf2c822258d6c5799c47d8 (patch)
tree974f60c559b8ebeffdfbb703c755f84404162e13 /tools/ci/scripts/init.sh
parent0ac39663c6d8b1959c1b135ae349b54cc73a994c (diff)
downloadplus-8486afa9e52f96361cbf2c822258d6c5799c47d8.tar.gz
plus-8486afa9e52f96361cbf2c822258d6c5799c47d8.tar.bz2
plus-8486afa9e52f96361cbf2c822258d6c5799c47d8.tar.xz
plus-8486afa9e52f96361cbf2c822258d6c5799c47d8.zip
Into ci scripts add another one try level if network error happend.
Diffstat (limited to 'tools/ci/scripts/init.sh')
-rwxr-xr-xtools/ci/scripts/init.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tools/ci/scripts/init.sh b/tools/ci/scripts/init.sh
index 949204de3..b588192da 100755
--- a/tools/ci/scripts/init.sh
+++ b/tools/ci/scripts/init.sh
@@ -22,8 +22,12 @@ function aptget_update {
sleep 1s
apt-get update
if [ "$?" != 0 ]; then
- sleep 1s
+ sleep 2s
apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 5s
+ apt-get update
+ fi
fi
fi
}
@@ -36,6 +40,10 @@ function aptget_install {
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 2s
+ if [ "$?" != 0 ]; then
+ sleep 5s
+ apt-get -y -qq install $*
+ fi
apt-get -y -qq install $*
fi
fi